Bug 1225592 - conserver crashes on task invocation
Summary: conserver crashes on task invocation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: conserver
Version: 21
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-27 18:18 UTC by Nathan Lynch
Modified: 2019-01-09 12:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 17:25:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch from upstream ML (849 bytes, text/plain)
2015-05-27 18:18 UTC, Nathan Lynch
no flags Details

Description Nathan Lynch 2015-05-27 18:18:12 UTC
Created attachment 1030742 [details]
patch from upstream ML

Description of problem:

Conserver program crashes with attempt to free uninitialized variable when user attempts to use a "task" defined in conserver.cf.

Version-Release number of selected component (if applicable):

conserver-8.1.20-1.fc20.x86_64 (verified)

Presumably conserver-8.2.0-* is affected if the description of the fix is correct (see below).  I believe the packages in F21 and later are affected but I am only able to check F20 at this time.

How reproducible:
Always

Steps to Reproduce:
1. Define a task in conserver.cf, e.g.

task t {
     description "True";
     cmd /usr/bin/true;
}

2. Connect to a console and attempt to invoke the task (ctrl-e, c, !, t)
3. Console connection either hangs (with conserver server process consuming 100% CPU) or terminates.

Actual results:
Attempting to run a task causes the server to crash or hang.


Expected results:
Running a task should succeed (or fail) without destabilizing the server.

Additional info:

User report with same symptoms:
https://www.conserver.com/pipermail/users/2014-September/msg00000.html

Fix for 8.2.0 posted to upstream's ML here:
https://www.conserver.com/pipermail/users/2014-September/msg00003.html

I was able make the equivalent fix to the 8.1.20 package in F20 and verify that it fixes the issue.

Comment 1 Fedora End Of Life 2015-05-29 13:51:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Nathan Lynch 2015-06-01 13:09:56 UTC
Verified that this is an issue for F21, updating version.

Comment 3 Nathan Lynch 2015-06-02 22:04:34 UTC
Upstream has released 8.2.1 with the necessary fix included:

https://www.conserver.com/pipermail/announce/2015-June/msg00000.html

Comment 4 Fedora Update System 2015-06-03 21:16:56 UTC
conserver-8.2.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/conserver-8.2.1-1.fc22

Comment 5 Fedora Update System 2015-06-03 21:17:41 UTC
conserver-8.2.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/conserver-8.2.1-1.fc21

Comment 6 Fedora Update System 2015-06-05 23:49:15 UTC
Package conserver-8.2.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing conserver-8.2.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9468/conserver-8.2.1-1.fc21
then log in and leave karma (feedback).

Comment 7 Nathan Lynch 2015-06-22 16:27:27 UTC
Verified that the issue is gone in conserver-8.2.1-1.fc21, thanks.

Comment 8 Fedora End Of Life 2015-11-04 16:02:19 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Jiri Kastner 2015-11-04 17:25:57 UTC
(In reply to Nathan Lynch from comment #7)
> Verified that the issue is gone in conserver-8.2.1-1.fc21, thanks.


Note You need to log in before you can comment on or make changes to this bug.